## python-cyclopts 3.9.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -W
SPHINXBUILD   ?= poetry run sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-cyclopts 3.1.2

=== debian/changelog ===
python-cyclopts (3.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1088746)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 29 Nov 2024 22:31:11 -0300

=== debian/control ===
Source: python-cyclopts
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-cattr,
               python3-docstring-parser,
               python3-importlib-metadata,
               python3-linkify-it <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-poetry,
               python3-poetry-dynamic-versioning,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-rich,
               python3-rich-rst,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-tomli,
               python3-typing-extensions,
               python3-yaml
Standards-Version: 4.7.0
Homepage: https://github.com/BrianPugh/cyclopts
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cyclopts
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cyclopts.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-cyclopts
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-cyclopts-doc
Description: Command line interface structure
 Package is a modern and easy-to-use framework for building command-line
 interfaces (CLIs) in Python, designed to make developing CLI applications
 simpler, more intuitive, and efficient.
 .
 It stands out for:
  - Use of Python Type Annotations: Cyclopts leverages Python’s type annotation
     system to make the CLI code more readable and less error-prone. You can use
     native Python types to specify inputs, such as int, str, and float, as well
     as more complex types like Pydantic, Dataclasses, and Attrs, improving
     clarity and control over input parameters.
  - Intuitive and Simple Interface: Cyclopts is designed to be easy to learn and
     use. The syntax is extremely simple, allowing developers to quickly build
     command-line tools with minimal code. Setting up commands, options, and
     arguments is straightforward, without the need for complex configurations
     or boilerplate code.
  - Automatic Validation and Type Conversion: Cyclopts handles automatic
     validation and type conversion based on the defined types in the code.
     This means it automatically validates input values according to type
     annotations and converts the inputs to the correct types without requiring
     extra code from the developer, reducing the chance of user input errors.
  - Automatic Help Generation: Cyclopts automatically generates detailed,
     well-structured help pages for your commands and options, using docstrings
     and the information provided in type definitions. This makes it easy to
     create user-friendly interfaces and eliminates the need to manually
     maintain CLI documentation.
  - Extensibility and Customization: Cyclopts is highly extensible. It allows
     developers to customize how input data is parsed, validated, and processed.
     The framework supports the creation of custom converters and validators,
     offering great flexibility to adapt the application to specific project
     needs.
  - Integration with Existing Tools: Cyclopts integrates seamlessly with other
     popular Python libraries and frameworks. It can be used alongside libraries
     like Pydantic for data validation or Typer and Click to build more complex
     applications, all while maintaining its simplicity and focus on usability.
  - Clear and Detailed Documentation: Cyclopts has clear, concise documentation
     with practical examples that make it easy to adopt, even for beginners.
     This is an important advantage, as building CLI tools can be complex, and
     Cyclopts’ documentation makes this process more accessible.

Package: python-cyclopts-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: command line interface structure (common documentation)
 Package is a modern and easy-to-use framework for building command-line
 interfaces (CLIs) in Python, designed to make developing CLI applications
 simpler, more intuitive, and efficient.
 .
 It stands out for:
  - Use of Python Type Annotations: Cyclopts leverages Python’s type annotation
     system to make the CLI code more readable and less error-prone. You can use
     native Python types to specify inputs, such as int, str, and float, as well
     as more complex types like Pydantic, Dataclasses, and Attrs, improving
     clarity and control over input parameters.
  - Intuitive and Simple Interface: Cyclopts is designed to be easy to learn and
     use. The syntax is extremely simple, allowing developers to quickly build
     command-line tools with minimal code. Setting up commands, options, and
     arguments is straightforward, without the need for complex configuration
     or boilerplate code.
  - Automatic Validation and Type Conversion: Cyclopts handles automatic
     validation and type conversion based on the defined types in the code.
     This means it automatically validates input values according to type
     annotations and converts the inputs to the correct types without requiring
     extra code from the developer, reducing the chance of user input errors
  - Automatic Help Generation: Cyclopts automatically generates detailed,
     well-structured help pages for your commands and options, using docstrings
     and the information provided in type definitions. This makes it easy to
     create user-friendly interfaces and eliminates the need to manually
     maintain CLI documentation.
  - Extensibility and Customization: Cyclopts is highly extensible. It allows
     developers to customize how input data is parsed, validated, and processed.
     The framework supports the creation of custom converters and validators,
     offering great flexibility to adapt the application to specific project
     needs.
  - Integration with Existing Tools: Cyclopts integrates seamlessly with other
     popular Python libraries and frameworks. It can be used alongside libraries
     like Pydantic for data validation or Typer and Click to build more complex
     applications, all while maintaining its simplicity and focus on usability.
  - Clear and Detailed Documentation: Cyclopts has clear, concise documentation
     with practical examples that make it easy to adopt, even for beginners.
     This is an important advantage, as building CLI tools can be complex, and
     Cyclopts’ documentation makes this process more accessible.
 .
 This is the common documentation package.

## python-cyclopts 3.4.1

=== debian/changelog ===
python-cyclopts (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * debian/control:
     - Added Build-depends 'python-pytest-doc' required for build docs
  * debian/patches/002.changed-intersphinx-to-local.patch:
     - Added objects.inv local pytest

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Feb 2025 17:43:06 -0300

python-cyclopts (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:16:24 -0500

## python-cyclopts 3.9.0

=== debian/changelog ===
python-cyclopts (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Mar 2025 07:17:14 -0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               python-pytest-doc <!nodoc>,
                python3-all,
                python3-cattr,
                python3-docstring-parser,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=cyclopts
export TERM=xterm-256color
export PYBUILD_TEST_ARGS=-v -k 'not test_pydantic_error_msg'

%:

	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees \
	 -N -bhtml docs/source/ debian/html

# Fixed privacy-breach-generic
override_dh_installdocs:
	dh_installdocs
	find debian/python-cyclopts-doc/ -name '*.html' -exec sed -i \
		-e 's/<img [^>]*>//g' {} \;
# Deleting memory address to fix reproducibility problem
	find debian/python-cyclopts-doc/ -name "searchindex.js" \
		-exec sed -i 's/"0x[a-f0-9]\{12,\}": [0-9]\{1,\},//g' {} +
	find debian/python-cyclopts-doc/ -name "api.html" \
		-exec sed -i '/at 0x7f/d' {} +

## python-cyclopts 3.12.0

=== debian/changelog ===
python-cyclopts (3.12.0-3) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:07:48 +0200

python-cyclopts (3.12.0-2) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint
  * Drop build-dep on python3-importlib-metadata
  * Trim d/rules with modern syntax

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 17:40:34 +0200

python-cyclopts (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * debian/control: Bumped Standards-Version to 4.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 08 Apr 2025 21:06:09 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                python3-all,
                python3-cattr,
                python3-docstring-parser,
-               python3-importlib-metadata,
                python3-linkify-it <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-poetry,
@@ -25,10 +24,9 @@
                python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-tomli,
                python3-typing-extensions,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/BrianPugh/cyclopts
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cyclopts
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cyclopts.git
@@ -82,6 +80,7 @@
 Package: python-cyclopts-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: command line interface structure (common documentation)

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,12 @@
 
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -d debian/doctrees \
 	 -N -bhtml docs/source/ debian/html
 
 # Fixed privacy-breach-generic
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	find debian/python-cyclopts-doc/ -name '*.html' -exec sed -i \
 		-e 's/<img [^>]*>//g' {} \;
 # Deleting memory address to fix reproducibility problem

=== debian/watch ===
version=4
https://github.com/BrianPugh/cyclopts/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
